"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getPerformanceStatus = void 0;
const diskspace_1 = require("diskspace");
const os_utils_1 = require("os-utils");
function getUsedDiskPercentage() {
    return new Promise((resolve, reject) => (0, diskspace_1.check)('/', (err, result) => {
        if (err != null) {
            reject(err);
        }
        else {
            resolve((result.used / +result.total) * 100);
        }
    }));
}
function getCpuUsage() {
    return new Promise(resolve => (0, os_utils_1.cpuUsage)(v => resolve(v * 100)));
}
async function getPerformanceStatus() {
    const memPercentage = 100 - (0, os_utils_1.freememPercentage)() * 100;
    const cpuPercentage = await getCpuUsage();
    const diskPercentage = await getUsedDiskPercentage();
    return {
        memPercentage,
        diskPercentage,
        cpuPercentage,
    };
}
exports.getPerformanceStatus = getPerformanceStatus;
//# sourceMappingURL=performance-stats.js.map